\section{The cell-contraction model}
\label{sec:force}

The cell-contraction model for the active strain approach used in
Sect.~\ref{sec:mechanics} involves two parts: The stretch model itself
and a second model simulating an active tension depending on the
current concentration of Calcium.  Together, it determines the stretch
$\gamma_{\vec f}$ depending on the deformation, on the calcium
concentration in the set of variables $w$ for the cell model, and on
an additional set of gating variables $g$ for the tension model.

The contraction model determines the stretch $\gamma_{\vec f}$ and
involves a set of 9 gating variables
    \[
    g =\big(\text{Tr},B, U, W, S, \zeta_W, \zeta_S, C_s, C_d\big)
    \,.
    \]
The evolution of the stretch depends on 
the deformation gradient $\mathrm D\vec \varphi$,
the fiber direction $\vec f$,
and the parameters $l_0$, $l_{\text{min}}$, $l_{\text{max}}$, $c_0$,
$c_k,\,d_k\,(k=1,2,3)$~\cite{ForceLengthRelation}, cf.~Tab.~\ref{tab:RFL}.
The gating mechanism determines the total force
$T_{\text{tot}}(w, g)$ and depends on the constants 
$k_{\text{Tr}}$, $n_{\text{Tr}}$, $\text{Ca}_{\text{T50}}^{\text{ref}}$, 
$k_{B}$, $n_{\text{Tr}B}$, $k_{UW}$, $k_{WS}$, $r_{W}$, $r_{S}$, $\gamma_{W}$, $\gamma_{S}$, 
$\phi$, $A_{\text{eff}}$, $\beta_0$, $\beta_1$, $T_{\text{ref}}$, cf.~Tab.~\ref{tab:LandModel}.

\Paragraph{The Stretch Model}

The stretch value $\gamma_{\vec f}$ is determined a nonlinear ODE 
    \begin{subequations}\label{gammaODE}
      \begin{align}
        \partial_t\gamma_{\vec f}
        &= G_{\gamma_{\vec f}}(\gamma_{\vec f},\mathrm D\vec \varphi,\vec f,g,w)
      \end{align}
We use the model \cite{quarteroni2017integrated} given by
      \begin{align*}
        G_{\gamma_{\vec f}}(\gamma_{\vec f},\mathrm D\vec \varphi,\vec f,g,w)
        &= \frac{1}{\eta_\text{a}}\left[\left(\D_{\iota_1^\text{e}}W(\vec F_\text{e})
          + \D_{\iota_{4,\vec f }^\text{e}}W(\vec F_\text{e})\right)
          \left(\hat{F}_\text{a}(w, g,\iota_{4,\vec f},\gamma_{\vec f})
          -\frac{2\iota_{4,\vec f}}{(1+\gamma_{\vec f})^3}\right)
          -\ffz \cdot \D_{\fF_\text{a}} W(\vec F_\text{e}) \ffz\right]
      \end{align*}
depending on geometrical quantities and the calcium concentration Ca
      \begin{align}
        \hat{F}_\text{a}(w, g,\iota_{4,\vec f},\gamma_{\vec f})
        &=\alpha T_{\text{tot}}(w, g) R_\text{F-L}(\iota_{4,\vec f},\gamma_{\vec f})
        \,,
        \label{gammaODE2}
      \end{align}
    \end{subequations}
where $\hat{F}_\text{a}$ is the active tension created in the cardiac
cells depending on the concentration of Ca$^{2+}$-Ions and the invariant of the their
current deformation $\iota_{4,\vec f}$. Note that only the invariant along
$\ffz$ is needed, as the cardiac force mechanism is modeled in 1D.
The evaluation of the resulting force $T_{\text{tot}}$ and the
force-length relationship $R_\text{F-L}$ depends on the used force
model of the cells. The model for $T_{\text{tot}}$ is described
in the next section, and $R_\text{F-L}$ is approximated by fitted Taylor Series
    \[
    R_\text{F-L}(\iota_{4,\vec f})
    = \chi_{[l_{\text{min}},l_{\text{max}}]}(l_0+\gamma_{\vec f})
    \left[\frac{c_0}{2}+\sum_{k=1}^{3}\bigg(c_k\sin (kl_0\iota_{4,\vec f})
      + d_k \cos (kl_0\iota_{4,\vec f})\bigg)\right]\, ,\quad 
    \chi_{[a,b]}(x) = \left\{  \begin{array}{ll} 1 & x\in [a,b],
      \\ 0 & x\notin [a,b]\,.\end{array} \right.
    \]

\Paragraph{The Land Tension Cell Model}

To model the tension generated by activated cardiac muscle cells, we
use the model described by Land et al.~\cite{LandCellModel}.
It simulates cardiac myocytes using ion concentrations of calcium (Ca) and troponin (Tr) as well as crossbridge binding of sarcomeres using a three-state crossbridge cycle
\begin{equation}\label{eq:troponin}
	\partial_t \text{Tr} = k_{\text{Tr}}\left[\left(\frac{\text{Ca}}{\text{Ca}_{\text{T50}}}\right)^{n_{\text{Tr}}} (1-\text{Tr}) - \text{Tr}\right]
\end{equation}
Here, Tr represents the fraction of troponin units with calcium bond. This concentration drives the unblocking of tropomyosin. The fraction of blocked binding sites ($B$) is given by
\begin{equation}
\partial_t B = k_B\cdot\text{Tr}^{\frac{-n_{\text{Tr}B}}{2}} U - k_U\cdot\text{Tr}^{\frac{n_{\text{Tr}B}}{2}} B
\end{equation}
The following crossbridge cycle containins an unbound ($U$), a pre-powerstroke ($W$) and a post-powerstroke ($S$) state. They are given by the relation
\begin{subequations}
   	\begin{align}
 U &= (1-B) - S - W \, ,\\
 \partial_t W &= k_{UW}U-k_{WU}W-k_{WS}W-\gamma_{WU}W \, ,\\
 \partial_t S &= k_{WS}W-k_{SU}S-\gamma_{SU}S \, ,
   	\end{align}
\end{subequations}
with parameters $k_{UW}$, $k_{WU}$, $k_{WS}$, $k_{WS}$. The values of $\gamma_{WU}$ and $\gamma_{SU}$ are derived from the distortion-decay model
\begin{subequations}
	\begin{align}
	\partial_t\zeta_W &= A_W\partial_t\lambda_{\ff} - c_W\zeta_W & \partial_t\zeta_S &= A_S\partial_t\lambda_{\ff} - c_S\zeta_S \\
	\gamma_{WU} &= \gamma_W\lvert\zeta_W\rvert & \gamma_{SU}&= \left\{\begin{array}{ll}
	-\gamma_S (\zeta_S+1) & \text{if } \zeta_S < 1, \\
\gamma_S\zeta_S & \text{if } \zeta_S > 2 ,\\
0 & \text{otherwise}.
\end{array}\right.
	\end{align}	
\end{subequations}
$A_W$ and $A_S$ relate to the magnitude of the instantaneous distortion response while $c_W$ and $c_S$ represent decay rates.
The variable $\lambda_{\ff}$ corresponds to the relative cell length, i.e. $\lambda_{\ff} = \frac{l_0+\gamma_{\ff}}{l_0}$. As it is difficult to provide the values for $k$, $A$ and $c$ directly, we define the \textit{steady-state ratios}
\begin{subequations}
	\begin{align}
	r_S &= \text{steady-state}\,\frac{S}{U+W+S} \, ,\\
	r_W &= \text{steady-state}\,\frac{W}{U+W} \, .
	\end{align}
\end{subequations}
This allows for an easier parameter estimation and gives the following relations:
\begin{subequations}
	\begin{align}
	k_{WU} &= k_{UW}\left(\frac{1}{r_W}-1 \right) -k_{WS}\, , \\
	k_{SU} &= k_{WS}r_W\left(\frac{1}{r_S}-1\right) \, ,\\
	k_B &= k_U\frac{\text{Tr}^{n_{\text{TrB}}}}{1-r_S-(1-r_S)r_W} .
	\end{align}
\end{subequations}
We further assume the magnitude of instantaneous distortion in $W$ and $S$ are equal, i.e.
\begin{equation}
	A_S=A_W=A_{\text{eff}}\frac{r_S}{(1-r_S)r_W+r_S} .
\end{equation}
Additionally, we view the distortion decay rates to be proportional to the steady-state crossbridge cycling rates:
\begin{subequations}
	\begin{align}
	c_W = \phi\, k_{UW}\frac{U}{W} &= \phi\, k_{UW}\frac{(1-r_S)(1-r_W)}{(1-r_S)r_W}\, ,\\
	c_S = \phi\, k_{WS}\frac{W}{S} &= \phi\, k_{WS}\frac{(1-r_S)r_W}{r_S}\, .
	\end{align}
\end{subequations}


\begin{equation}
	T_{\text{a}} = h(\lambda_{\vec f})\frac{T_{\text{ref}}}{r_S}\left( (\zeta_S+1)S+\zeta_WW \right)
\end{equation}
where $T_{\text{ref}}$ is the maximal active tension at resting length and
\begin{subequations}
	\begin{align}
	h(\lambda_{\vec f}) &= \max \left\{ 0, \tilde{h}\left (\min \{ \lambda_{\vec f},1.2\} \right) -1\right\}\, ,\\
	\tilde{h}(\lambda_{\vec f}) &= 1+\beta_0 \left( \lambda_{\vec f}+\min\{ \lambda_{\vec f}, 0.87\} -1.87\right)\, 
	\end{align}
\end{subequations}
enforces a length-dependency on the tension. Such a dapendency is also introduced for the half-activation point $\text{Ca}_{\text{T50}}$ used in equ.~\eqref{eq:troponin}
\begin{equation}
	\text{Ca}_{\text{T50}} = \text{Ca}_{\text{T50}}^{\text{ref}} + \beta_1\left(\min\{\lambda_{\vec f} , 1.2\} - 1\right) .
\end{equation}
In the coupled model, we also need to account for a passive tension
withing sarcomeres. A sufficient implementation of such a passive cell
model is given by
    \begin{equation}
      C_s = (\lambda_{\vec f}-1)-C_d  \, ,\qquad 
      \partial_tC_d = k\frac{C_s}{\eta} \, ,\qquad 
      \eta = \left\{ \begin{array}{ll}
        \eta_l & \text{if }C_s > 0 ,\\
        \eta_s & \text{if }C_s\leq 0.
      \end{array}\right. 
    \end{equation}
The passive tension is then calculated by
\begin{equation}
	T_{\text{p}} = akC_s
\end{equation}
and the resulting tension of the force model is given by
\begin{equation}
	T_{\text{tot}} = T_{\text{a}} + T_{\text{p}}.
\end{equation}
